Loading...
Searching...
No Matches
libopenmpt_version.h File Reference

Go to the source code of this file.

## Macros

#define | OPENMPT_API_VERSION_MAJOR 0
| libopenmpt major version number
#define | OPENMPT_API_VERSION_MINOR 7
| libopenmpt minor version number
#define | OPENMPT_API_VERSION_PATCH 3
| libopenmpt patch version number
#define | OPENMPT_API_VERSION_PREREL ""
| libopenmpt pre-release tag
#define | OPENMPT_API_VERSION_IS_PREREL 0
| libopenmpt pre-release flag
#define | OPENMPT_API_VERSION_MAKE(major, minor, patch) (((major)<<24)|((minor)<<16)|((patch)<<0))
| libopenmpt version number as a single integer value
#define | OPENMPT_API_VERSION OPENMPT_API_VERSION_MAKE(OPENMPT_API_VERSION_MAJOR, OPENMPT_API_VERSION_MINOR, OPENMPT_API_VERSION_PATCH)
| libopenmpt API version number
#define | OPENMPT_API_VERSION_AT_LEAST(major, minor, patch) (OPENMPT_API_VERSION >= OPENMPT_API_VERSION_MAKE((major), (minor), (patch)))
| Check whether the libopenmpt API is at least the provided version.
#define | OPENMPT_API_VERSION_BEFORE(major, minor, patch) (OPENMPT_API_VERSION < OPENMPT_API_VERSION_MAKE((major), (minor), (patch)))
| Check whether the libopenmpt API is before the provided version.
#define | OPENMPT_API_VERSION_STRING OPENMPT_API_VERSION_STRINGIZE(OPENMPT_API_VERSION_MAJOR) "." OPENMPT_API_VERSION_STRINGIZE(OPENMPT_API_VERSION_MINOR) "." OPENMPT_API_VERSION_STRINGIZE(OPENMPT_API_VERSION_PATCH) OPENMPT_API_VERSION_PREREL